Summary:	   Gzip compression module for apache
Name:		   mod_gzip
Version:	   1.3.26.1a
Release:	   10.n0i.10%{?dist}
License:	   ASL 1.0
Group:		   System Environment/Daemons
URL:		   http://sourceforge.net/projects/mod-gzip/

Source0:       http://prdownloads.sourceforge.net/mod-gzip/%{name}-%{version}.tgz
Patch0:        mod_gzip-makefile.patch
BuildRoot:	   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel apache-devel mm-devel
Requires:      apache >= %(rpm -q --qf '%%{version}' apache)
Requires:      mm     >= %(rpm -q --qf '%%{version}' mm)


%description
mod_gzip is an Internet Content Acceleration module for the popular Apache
Web Server. 

If standard IETF Content Encoding is what you need to accelerate your Apache
Web Server, reduce your CPU load, and deliver 75-80 percent less data with no
loss of content to your users at all times then look no farther. HSC's
mod_gzip is all that you need.

mod_gzip uses the well established and publicly available IETF ( Internet
Engineering Task Force ) Content-Encoding standards in conjunction with
publicy available GZIP compression libraries such as ZLIB to deliver
dynamically compressed content 'on the fly' to any browser or user-agent that
is capable of receiving it. It is a software based solution that runs
perfectly in conjunction with any Apache Web Server on both UNIX and Win32
platforms.


%prep
%setup -q
%patch -p1

%{__cat} <<'EOF' >mod_gzip.conf
<IfModule mod_gzip.c>
	mod_gzip_on                 Yes
	mod_gzip_dechunk            Yes
	mod_gzip_send_vary          On
	mod_gzip_minimum_file_size  500
	mod_gzip_maximum_file_size  500000
	mod_gzip_maximum_inmem_size 100000
	mod_gzip_keep_workfiles     No
	mod_gzip_temp_dir           /tmp
	mod_gzip_item_include       file \.html$
	mod_gzip_item_include       file \.htm$
	mod_gzip_item_include       file \.jsp$
	mod_gzip_item_include       file \.php$
	mod_gzip_item_include       file \.php3$
	mod_gzip_item_include       file \.pl$
	mod_gzip_item_include       file \.epl$
	mod_gzip_item_include       file \.txt$
	mod_gzip_item_include       file \.cgi$
	mod_gzip_item_include       mime ^text/
	mod_gzip_item_include       mime ^application/x-httpd-php
	mod_gzip_item_include       mime ^httpd/unix-directory$
	mod_gzip_item_include       handler ^perl-script$
	mod_gzip_item_include       handler ^cgi-script$
	mod_gzip_item_include       handler ^server-status$
	mod_gzip_item_include       handler ^server-info$
	mod_gzip_item_include       handler "jserv-servlet"
	mod_gzip_item_exclude       reqheader  "User-agent: Mozilla/4.0[678]"
	mod_gzip_item_exclude       file \.css$
	mod_gzip_item_exclude       file \.js$
	mod_gzip_item_exclude       file \.wml$
	mod_gzip_item_exclude       mime ^image/
</IfModule>
EOF


%build
%{__make} %{?_smp_mflags} APXS="%{_sbindir}/apxs"


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 \
					$RPM_BUILD_ROOT%{_libdir}/apache/ \
					$RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/
%{__install} -m0755 mod_gzip.so $RPM_BUILD_ROOT%{_libdir}/apache/
%{__install} -m0644 mod_gzip.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%doc ChangeLog docs/*
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mod_gzip.conf
%{_libdir}/apache/mod_gzip.so


%changelog
* Thu Sep 13 2007 Marius FERARU <altblue@n0i.net> - 1.3.26.1a-10.n0i.10
- rebuild

* Mon Apr 02 2007 Marius FERARU <altblue@n0i.net> - 1.3.26.1a-9.n0i.9
- rebuild

* Mon Aug 21 2006 Marius FERARU <altblue@n0i.net> - 1.3.26.1a-8.n0i.8
- Dist macro

* Wed Jul 27 2005 Marius FERARU <altblue@n0i.net> - 1.3.26.1a-7.n0i.7
- rebuild

* Mon Dec 06 2004 Marius FERARU <altblue@n0i.net> - 1.3.26.1a-6.n0i.6
- automatic rebuild

* Thu May 13 2004 Marius FERARU <altblue@n0i.net> - 1.3.26.1a-5.n0i.5
- automatic rebuild

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> - 1.3.26.1a-4.n0i.4
- automatic rebuild

* Fri Apr 23 2004 Marius Feraru <altblue@n0i.net> - 1.3.26.1a-3.n0i.3
- automatic rebuild

* Sat Apr 03 2004 Marius FERARU <altblue@n0i.net> - 1.3.26.1a-2.n0i.2
- twisted spec in Fedora style

* Thu Jul 17 2003 Dag Wieers <dag@wieers.com> - 1.3.26.1a-1.n0i.1
- Initial package. (using DAR)
- rebuild for reb00t
